Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class PreferenceDialog.JConfigurationPanel.ResizingCardLayout

    java.lang.Object
      java.awt.CardLayout
          org.apache.batik.apps.svgbrowser.PreferenceDialog.JConfigurationPanel.ResizingCardLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable

Enclosing class:
  PreferenceDialog.JConfigurationPanel

    protected class PreferenceDialog.JConfigurationPanel.ResizingCardLayout

extends CardLayout

A CardLayout that returns a preferred height based on the currently displayed component.

See Also:
  Serialized Form

Constructor Summary
`PreferenceDialog.JConfigurationPanel.ResizingCardLayout()` Creates a new ResizingCardLayout.

Method Summary
`Dimension` | `preferredLayoutSize(Container parent)`

Methods inherited from class java.awt.CardLayout
`addLayoutComponent, addLayoutComponent, first, getHgap, getLayoutAlignmentX, getLayoutAlignmentY, getVgap, invalidateLayout, last, layoutContainer, maximumLayoutSize, minimumLayoutSize, next, previous, removeLayoutComponent, setHgap, setVgap, show, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreferenceDialog.JConfigurationPanel.ResizingCardLayout

    public PreferenceDialog.JConfigurationPanel.ResizingCardLayout()

  Creates a new ResizingCardLayout.

Method Detail

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Overrides:
    `preferredLayoutSize` in class `CardLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.